org.apache.lucene.search.suggest.document

## Enum CompletionPostingsFormat.FSTLoadMode

- java.lang.Object
- - java.lang.Enum<CompletionPostingsFormat.FSTLoadMode>
  - - org.apache.lucene.search.suggest.document.CompletionPostingsFormat.FSTLoadMode

All Implemented Interfaces:
  Serializable, Comparable<CompletionPostingsFormat.FSTLoadMode>

Enclosing class:
  CompletionPostingsFormat

    public static enum CompletionPostingsFormat.FSTLoadMode
    extends Enum<CompletionPostingsFormat.FSTLoadMode>

An enum that allows to control if suggester FSTs are loaded into memory or read off-heap

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AUTO` Automatically make the decision if FSTs are read from disk depending if the segment read from an MMAPDirectory
`OFF_HEAP` Always read FSTs from disk.
`ON_HEAP` Never read FSTs from disk ie.

### Method Summary

All Methods Static Methods Concrete Methods
`static CompletionPostingsFormat.FSTLoadMode` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CompletionPostingsFormat.FSTLoadMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OFF_HEAP

    public static final CompletionPostingsFormat.FSTLoadMode OFF_HEAP

Always read FSTs from disk. NOTE: If this option is used the FST will be read off-heap even if buffered directory implementations are used.

#### ON_HEAP

    public static final CompletionPostingsFormat.FSTLoadMode ON_HEAP

Never read FSTs from disk ie. all suggest fields FSTs are loaded into memory

#### AUTO

    public static final CompletionPostingsFormat.FSTLoadMode AUTO

Automatically make the decision if FSTs are read from disk depending if the segment read from an MMAPDirectory

### Method Detail

#### values

    public static CompletionPostingsFormat.FSTLoadMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CompletionPostingsFormat.FSTLoadMode c : CompletionPostingsFormat.FSTLoadMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CompletionPostingsFormat.FSTLoadMode valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null